Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/include/New_Component.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/include/New_Component.h	(revision 88)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/include/New_Component.h	(revision 113)
@@ -13,5 +13,5 @@
 #endif
 
-
+#include "Behavioural/@DIRECTORY/include/Wrapper_@COMPONENT.h"
 #include "Behavioural/@DIRECTORY/include/Parameters.h"
 #include "Behavioural/@DIRECTORY/include/Types.h"
@@ -24,4 +24,5 @@
 #endif
 #include "Behavioural/include/Usage.h"
+#include "Behavioural/include/Simulation.h"
 
 #include "Common/include/ToString.h"
@@ -44,5 +45,5 @@
   protected : const std::string  _name;
   protected : const Parameters * _param;
-  private   : const Tusage_t     _usage;
+  public    :       Tusage_t     _usage;
 
 #ifdef STATISTICS
@@ -59,9 +60,14 @@
   public    : SC_IN (Tcontrol_t)            *  in_NRESET       ;
 
-    // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
+    // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
-    // ~~~~~[ Register ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
+    // ~~~~~[ Register ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
     // ~~~~~[ Internal ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#endif
+
+#ifdef MODELSIM_COSIMULATION
+    // ~~~~~[ Wrapper ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+  private : Wrapper_@COMPONENT * _wrapper;
 #endif
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/include/Parameters.h	(revision 88)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/include/Parameters.h	(revision 113)
@@ -29,4 +29,6 @@
   public :        Parameters_test msg_error  (void);
 
+  public :        std::string     id         (void);
+
   public :        std::string     print      (uint32_t depth);
   public : friend std::ostream&   operator<< (std::ostream& output_stream,
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/include/Wrapper_New_Component.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/include/Wrapper_New_Component.h	(revision 113)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/include/Wrapper_New_Component.h	(revision 113)
@@ -0,0 +1,50 @@
+#ifndef morpheo_behavioural_@DEFINE_Wrapper_@COMPONENT_h
+#define morpheo_behavioural_@DEFINE_Wrapper_@COMPONENT_h
+
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "systemc.h"
+#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/include/Parameters.h"
+#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/include/Types.h"
+#include "Common/include/Environment.h"
+
+#ifdef MODELSIM_COSIMULATION
+
+namespace morpheo {
+namespace behavioural {
+@NAMESPACE_BEGIN
+
+  class Wrapper_@COMPONENT : public sc_foreign_module
+  {
+    // ~~~~~[ Interface ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // ~~~~~[ Interface : "" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+  public    : SC_CLOCK                      *  in_CLOCK        ;
+  public    : SC_IN (Tcontrol_t)            *  in_NRESET       ;
+
+    // -----[ Methods ]---------------------------------------------------
+  public  :  Wrapper_@COMPONENT
+  (sc_module_name name_entity,
+   std::string    name_architecture,
+   std::string    name_library
+   ) :
+    sc_foreign_module (name_entity, name_library+"."+name_entity+"("+name_architecture+")")
+    {
+      // caller affect interface signal
+    }
+
+  public  : ~Wrapper_@COMPONENT (void)
+    {
+    }
+  };
+
+@NAMESPACE_END
+}; // end namespace behavioural
+}; // end namespace morpheo              
+
+#endif
+#endif
